org.red5.server.api.cache

## Interface ICacheable

All Known Implementing Classes:
  CacheableImpl

    public interface ICacheable

Base interface for objects that can be made cacheable.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)
See Also:
  `ICacheStore`

### Method Summary

Methods
`IoBuffer` `getByteBuffer()` Returns a readonly byte buffer.
`byte[]` `getBytes()` Returns the object contained within the cacheable reference.
`String` `getName()` Returns the name of the cached object.
`boolean` `isCached()` Returns `true` if the object is cached, `false` otherwise.
`void` `setCached(boolean cached)` Sets a flag to represent the cached status of a cacheable object.
`void` `setName(String name)` Set the name of the cached object.

### Method Detail

#### isCached

    boolean isCached()

Returns `true` if the object is cached, `false` otherwise.

Returns:
  `true` if object is cached, `false` otherwise

#### setCached

    void setCached(boolean cached)

Sets a flag to represent the cached status of a cacheable object.

Parameters:
  `cached` - `true` if object is cached, `false` otherwise

#### getName

    String getName()

Returns the name of the cached object.

Returns:
  Object name

#### setName

    void setName(String name)

Set the name of the cached object.

Parameters:
  `name` - New object name

#### getBytes

    byte[] getBytes()

Returns the object contained within the cacheable reference.

Returns:
  Cached representation of object

#### getByteBuffer

    IoBuffer getByteBuffer()

Returns a readonly byte buffer.

Returns:
  Read-only IoBuffer with cached data